import 'package:intl/intl.dart';

class AiriaUtils {
  static String formatTime(int millseconds) {
    return DateFormat('yyyy-MM-dd').format(DateTime.fromMillisecondsSinceEpoch(millseconds));
  }

  ///将字符串内的十六进制转换成字符
  static String hex2Str(String str) {
    final Pattern unicodePattern = RegExp(r'\\x([0-9A-Fa-f]{2})');
    final String result = str.replaceAllMapped(
      unicodePattern,
      (Match unicodeMatch) {
        final int hexCode = int.parse(unicodeMatch.group(1)!, radix: 16);
        final unicode = String.fromCharCode(hexCode);
        return unicode;
      },
    );
    return result;
  }

  ///转换带有Unicode字符的字符串为Utf8编码
  static String utf8Str(String str) {
    final Pattern unicodePattern = RegExp(r'\\u([0-9A-Fa-f]{4})');
    final String result = str.replaceAllMapped(
      unicodePattern,
      (Match unicodeMatch) {
        final int hexCode = int.parse(unicodeMatch.group(1)!, radix: 16);
        final unicode = String.fromCharCode(hexCode);
        return unicode;
      },
    );
    return result;
  }
}
